summaryrefslogtreecommitdiffstats
path: root/arch/ppc/boards
diff options
context:
space:
mode:
authorRenaud Barbier <renaud.barbier@ge.com>2014-01-29 11:06:52 +0000
committerSascha Hauer <s.hauer@pengutronix.de>2014-01-30 08:42:54 +0100
commit78f3ac7619cb94c306460fa2248be0e1172f2378 (patch)
tree4d96b815faf56a8c2da3920b66603531d7f3643f /arch/ppc/boards
parent4a6c8b1e04695c03d4c7d6e27a21a03e2ecf7050 (diff)
downloadbarebox-78f3ac7619cb94c306460fa2248be0e1172f2378.tar.gz
barebox-78f3ac7619cb94c306460fa2248be0e1172f2378.tar.xz
DA923RC: enable UBI/UBIFS configuration
The UBI/UBIFS support is enabled and a script is added to attach the UBI device and mount the UBIFS partition. This allows the loading of firmware images from the NOR flash. Signed-off-by: Renaud Barbier <renaud.barbier@ge.com> Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
Diffstat (limited to 'arch/ppc/boards')
-rw-r--r--arch/ppc/boards/geip-da923rc/env/bin/init12
1 files changed, 12 insertions, 0 deletions
diff --git a/arch/ppc/boards/geip-da923rc/env/bin/init b/arch/ppc/boards/geip-da923rc/env/bin/init
index 63089990b3..330a435dd7 100644
--- a/arch/ppc/boards/geip-da923rc/env/bin/init
+++ b/arch/ppc/boards/geip-da923rc/env/bin/init
@@ -2,3 +2,15 @@
export PATH=/env/bin
source /env/config
+
+#Define a 26MB partition in flash starting at offset 0x20000
+addpart -n /dev/nor0 0x1a00000@0x20000(boot)
+ubiattach /dev/boot
+
+if [ $? -ne 0 ]; then
+ echo "Fail to attach UBI device"
+ exit 1;
+fi
+
+mkdir /mnt
+mount -t ubifs /dev/ubi0.boot /mnt